Bug 429638 - Use the browser Accept-Language language to serve the pages in this language
Summary: Use the browser Accept-Language language to serve the pages in this language
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-25 12:34 UTC by Josep Ma. Ferrer
Modified: 2022-04-06 08:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josep Ma. Ferrer 2020-11-25 12:34:26 UTC
SUMMARY
Use the user's browser Accept-Language language to serve kde.org translated pages according user's preference languages. By default, English pages must be served.
More information:
https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language

STEPS TO REPRODUCE
1. Change the language in the user's browser other than English (fr, uk, es, ...)
2. Open the https://kde.org/ page
3. This page must be shown using the translated version (fr, uk, es, ...)

OBSERVED RESULT
Actually, pages from https://kde.org/ are in English 

EXPECTED RESULT
Page must be shown using the translated version (fr, uk, es, ...)

SOFTWARE/OS VERSIONS
N/A

ADDITIONAL INFORMATION
https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language
Comment 1 jmaspons 2022-02-08 23:56:56 UTC
It's working fine now
Comment 2 jmaspons 2022-02-09 00:02:51 UTC
False alarm. After deleting the cookies, it stays in English
Comment 3 Phu H. Nguyen 2022-03-30 00:37:10 UTC
Git commit b972e36b9529e2f6b6879bc5243b3c245d0a1a1c by Phu Nguyen.
Committed on 30/03/2022 at 00:36.
Pushed by phunh into branch 'master'.

Bump up kde-hugo
Related: bug 451081
The system language is non-trivial to get, and the browser language is
apparently good enough.
Although this does not do what the bug report suggested, it solves the
problem that the bug report is likely concerned about.

M  +0    -6    config.yaml
M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/kde-org/commit/b972e36b9529e2f6b6879bc5243b3c245d0a1a1c
Comment 4 jmaspons 2022-04-05 14:50:01 UTC
Thanks! Seems to work, but only for kde.org. Other kde pages such as eco.kde.org or plasma-mobile.org doesn't show the page in the browser's language
Comment 5 Phu H. Nguyen 2022-04-05 16:02:11 UTC
Git commit 52075e6b06ec009aca7bffe4328ba7073fcb9f69 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/25years-kde-org/commit/52075e6b06ec009aca7bffe4328ba7073fcb9f69
Comment 6 Phu H. Nguyen 2022-04-05 16:02:16 UTC
Git commit b1890746ed3e0b12eff6e391203c0140cb215be8 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/apps-kde-org/commit/b1890746ed3e0b12eff6e391203c0140cb215be8
Comment 7 Phu H. Nguyen 2022-04-05 16:02:23 UTC
Git commit a4c3a587b1cf022a06c8926dc7d6aca69a551db2 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/eco-kde-org/commit/a4c3a587b1cf022a06c8926dc7d6aca69a551db2
Comment 8 Phu H. Nguyen 2022-04-05 16:02:28 UTC
Git commit a7c1777a1d2688ce6b597453864a06ce049bc93e by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/elisa-kde-org/commit/a7c1777a1d2688ce6b597453864a06ce049bc93e
Comment 9 Phu H. Nguyen 2022-04-05 16:02:33 UTC
Git commit 218291b535d3b3ebc986e84c7c3281f6b8f44c36 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/haruna-kde-org/commit/218291b535d3b3ebc986e84c7c3281f6b8f44c36
Comment 10 Phu H. Nguyen 2022-04-05 16:02:42 UTC
Git commit 517ec8d50891ada41a93f09cde2f7f73e23f05a3 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/kate-editor-org/commit/517ec8d50891ada41a93f09cde2f7f73e23f05a3
Comment 11 Phu H. Nguyen 2022-04-05 16:02:53 UTC
Git commit 3d8d280c61e9a5413f5d8ea3bc586b943d83e101 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/kde-org/commit/3d8d280c61e9a5413f5d8ea3bc586b943d83e101
Comment 12 Phu H. Nguyen 2022-04-05 16:02:58 UTC
Git commit d3e23efdc3de027ebb43a29a1b600cfae6bacd78 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/kontact-kde-org/commit/d3e23efdc3de027ebb43a29a1b600cfae6bacd78
Comment 13 Phu H. Nguyen 2022-04-05 16:03:04 UTC
Git commit ab35fba7f1c804aa60ef0cee9b6c09e9ce3b4da5 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/manifesto-kde-org/commit/ab35fba7f1c804aa60ef0cee9b6c09e9ce3b4da5
Comment 14 Phu H. Nguyen 2022-04-05 16:03:09 UTC
Git commit a135f82e28c41334a0c8fea6763e34219f3b8574 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/okular-kde-org/commit/a135f82e28c41334a0c8fea6763e34219f3b8574
Comment 15 Phu H. Nguyen 2022-04-05 16:03:15 UTC
Git commit 6636ec44039f9b5dd5801c9d10dbc0e0ead8ae11 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/planet-kde-org/commit/6636ec44039f9b5dd5801c9d10dbc0e0ead8ae11
Comment 16 Phu H. Nguyen 2022-04-05 16:03:20 UTC
Git commit 9c9a383013584435d50d38b799a4c2224969ff06 by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/plasma-bigscreen-org/commit/9c9a383013584435d50d38b799a4c2224969ff06
Comment 17 Phu H. Nguyen 2022-04-05 16:03:27 UTC
Git commit 928b2bd228292d1583720858b615545a82e52c9c by Phu Nguyen.
Committed on 05/04/2022 at 16:00.
Pushed by phunh into branch 'master'.

Bump kde-hugo

M  +1    -1    go.mod
M  +2    -2    go.sum

https://invent.kde.org/websites/plasma-mobile-org/commit/928b2bd228292d1583720858b615545a82e52c9c
Comment 18 Luigi Toscano 2022-04-06 08:51:50 UTC
(In reply to Phu H. Nguyen from comment #15)
> Git commit 6636ec44039f9b5dd5801c9d10dbc0e0ead8ae11 by Phu Nguyen.
> Committed on 05/04/2022 at 16:00.
> Pushed by phunh into branch 'master'.
> 
> Bump kde-hugo
> 
> M  +1    -1    go.mod
> M  +2    -2    go.sum
> 
> https://invent.kde.org/websites/planet-kde-org/commit/
> 6636ec44039f9b5dd5801c9d10dbc0e0ead8ae11

It seems there is a regression with planet.kde.org: it's not possible to switch language anymore.

I've reported bug 452317.